import javax.swing.filechooser.FileFilter;
import java.io.*;

public class DokumenFilterClass extends FileFilter
{
	String filter;
	String nameFilter;
	
	public DokumenFilterClass(String filter, String nameFilter)
	{
		this.filter = filter;
		this.nameFilter = nameFilter;
	}
	
	public boolean accept(File f)
	{
		if(f.isDirectory())
		{
			return true;
		}
		
		String fileName = f.getName().toLowerCase();
		if(fileName.endsWith(filter))
			return true;
		return false;
	}
	
	public String getDescription()
	{
		return nameFilter;
	}
}